> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload CSV Part

> Uploads CSV data as part of a multi-part upload. This is Stage 2 of the upload process



## OpenAPI

````yaml /openapi/product/data-sets.yaml put /api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/{part}
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/{part}:
    put:
      tags:
        - Datasets API
      summary: Upload CSV Part
      description: >-
        Uploads CSV data as part of a multi-part upload. This is Stage 2 of the
        upload process
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
        - name: uploadId
          in: path
          required: true
          schema:
            type: integer
        - name: part
          in: path
          required: true
          description: Part number of the upload
          schema:
            type: integer
      requestBody:
        required: true
        content:
          text/csv:
            schema:
              type: string
              format: binary
            example: |-
              Jae and Oleksii, why
              hello, it is the way
      responses:
        '200':
          description: Part uploaded successfully
      x-codeSamples:
        - lang: HTTP
          source: >
            PUT /api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/1
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}

            Content-Type: text/csv

            Accept: application/json


            Jae and Oleksii, why

            hello, it is the way
components:
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````